For the complete documentation index, see llms.txt. This page is also available as Markdown.

List payment terminals for a store extension

Lists payment terminals available through the store extension.

Required permissions: EXTENSION,TILL

get
/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/payment-terminals
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeExtensionUidstringRequired

Reference to a store extension.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

OK

application/json
get/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/payment-terminals
GET /v2/tenants/{tenantUid}/stores/{storeUid}/extensions/{storeExtensionUid}/payment-terminals HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text"
    }
  ]
}

Last updated

Was this helpful?